package net.pms.io;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import net.pms.PMS;

public class InternalJavaProcessImpl implements ProcessWrapper {
	private InputStream input;

	public InternalJavaProcessImpl(InputStream input) {
		this.input = input;
	}

	@Override
	public InputStream getInputStream(long seek) throws IOException {
		return input;
	}

	@Override
	public List<String> getResults() {
		return null;
	}

	@Override
	public boolean isDestroyed() {
		return true;
	}

	@Override
	public void runInNewThread() {
	}

	@Override
	public boolean isReadyToStop() {
		return false;
	}

	@Override
	public void setReadyToStop(boolean nullable) {
		if(PMS.rz_debug>1) PMS.dbg("InternalJavaProcessImpl.setReadyToStop: called, but Noop");
	}

	@Override
	public void stopProcess() {
	}
}
